Subject: bug#2837 closed by "Trent W. Buck" <[email-masked]> (Re: bug#2837: 23.0.91; tramp: ssh passphrase vs. password)

From: [email-masked] (Emacs bug Tracking System)
Date: Wed, 01 Apr 2009 06:05:06 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#2837: 23.0.91; tramp: ssh passphrase vs. password

It has been closed by "Trent W. Buck" <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact "Trent W. Buck" <[email-masked]> by
replying to this email.

-- 
2837: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2837
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#2837: 23.0.91; tramp: ssh passphrase vs. password
From: "Trent W. Buck" <[email-masked]>
To: Michael Albinus <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 1 Apr 2009 17:01:50 +1100

Hmm, now it prints:

    Passphrase for /ssh:dhcp98:

So I guess I just misread passphrase as password this morning...
FWIW, here are the details you requested.  Sorry to bother you!

On Wed, Apr 01, 2009 at 07:43:19AM +0200, Michael Albinus wrote:
> "Trent W. Buck" <[email-masked]> writes:
> 
> > I'm using OpenSSH and an ssh-agent is running, and Emacs can see that
> > agent.  When I have not used ssh-add, I see this:
> >
> > $ ssh dhcp98
> > Enter passphrase for key '/home/twb/.ssh/id_rsa':
> 
> That shall be sufficient for Tramp (it shall recognize "passphrase").
> 
> Which Tramp version do you use (C-h v tramp-version)?

tramp-version is a variable defined in `trampver.el'.
Its value is "2.1.15"

I'm using the version that shipped with my emacs-snapshot: GNU Emacs
23.0.91.1 (i486-pc-linux-gnu) of 2009-03-30 on elegiac, modified by
Debian.

> Can you show me Tramp's traces with level 6?

    16:55:55 tramp-send-command (6) # echo are you awake
    16:55:55 tramp-wait-for-regexp (6) # 
    are you awake

    ///d257b36da3eb455ce42242ed8ee37ff9
    16:55:55 tramp-send-command (6) # cd /home/twb/ 2>/dev/null; echo tramp_exit_status $? 
    16:55:55 tramp-wait-for-regexp (6) # 
    tramp_exit_status 0

    ///d257b36da3eb455ce42242ed8ee37ff9
    16:55:55 tramp-send-command (6) # /bin/ls -ab 2>/dev/null | while read f; do if test -d "$f" 2>/dev/null; then echo "$f/"; else echo "$f"; fi; done
    16:55:55 tramp-wait-for-regexp (6) # 
    ./
    ../
    .Auto/
    .SemiAuto/
    .Xauthority
    .Xclients
    .Xdefaults
    .Xresources
    .al/
    .aptitude/
    .bash_history
    .bash_profile
    .bash_profile-darcs-backup0
    .bash_profile-darcs-backup1
    .bash_profile-darcs-backup2
    .bash_profile-darcs-backup3
    .bashrc
    .bin/
    .cabal/
    .cache/
    .config/
    .crawlrc
    .darcs/
    .debtags/
    .devscripts_cache/
    .dillo/
    .dosage/
    .dupload.conf
    .emacs
    .emacs.d/
    .festivalrc
    .forward
    .gconf/
    .gconfd/
    .ghc/
    .gimp-2.2/
    .gnome2/
    .gnome2_private/
    .gnupg/
    .gnupg~/
    .gnus.el
    .gtkrc
    .gtkrc-2.0
    .hgignore
    .hgrc
    .html2psrc
    .inkscape/
    .inputrc
    .ircrc
    .lesshst
    .mailrc
    .mg
    .mozilla/
    .mplayer/
    .msmtprc
    .muttrc
    .nanorc
    .netrc
    .offlineimaprc
    .procmailrc
    .pythonrc
    .quiltrc
    .ratpoisonrc
    .rcirc.el
    .rcirc.el-darcs-backup0
    .recently-used
    .reportbugrc
    .rst2pdf/
    .rtorrent.rc
    .rtrc
    .screen.el
    .screen.secrets
    .screenrc
    .ssh/
    .ssh~/
    .stumpwmrc
    .thumbnails/
    .tramp_history
    .vimrc
    .w3m/
    .wgetrc
    .xinitrc
    .xmonad/
    .xscreensaver
    .xsession
    .xsession-errors
    .xzgvrc
    .yi/
    .zile
    Confidential/
    Desktop/
    Mail
    Preferences/
    Public/

    ///d257b36da3eb455ce42242ed8ee37ff9
    16:56:10 tramp-maybe-open-connection (3) # Opening connection for dhcp98 using ssh...
    16:56:10 tramp-maybe-open-connection (6) # /bin/sh
    16:56:10 tramp-maybe-open-connection (3) # Waiting 60s for local shell to come up...
    16:56:10 tramp-wait-for-regexp (6) # 
    $ 
    16:56:11 tramp-maybe-open-connection (3) # Sending command `ssh dhcp98   -q -e none && exit || exit'
    16:56:11 tramp-send-command (6) # ssh dhcp98   -q -e none && exit || exit
    16:56:11 tramp-process-actions (3) # Waiting for prompts from remote shell
    16:56:11 tramp-process-one-action (5) # Looking for regexp "\(.*ogin\( .*\)?: *\)\'" from remote shell
    16:56:11 tramp-process-one-action (5) # Looking for regexp "\(^.*\([pP]assword\|[pP]assphrase\).*:? *\)\'" from remote shell
    16:56:11 tramp-process-one-action (5) # Call `tramp-action-password'
    16:56:11 tramp-action-password (3) # Sending password

Subject: 23.0.91; tramp: ssh passphrase vs. password
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Tue, 31 Mar 2009 17:11:26 -0700 (PDT)

Just now I tried to open /ssh:dhcp98:/ and it asked me for "dhcp98's
password".  It *should* have asked me for the passphrase for one of my
SSH keys (id_rsa).  This either means that the prompt is misleading
(i.e. it wants my passphrase) or worse, that it genuinely wants to use
password-based authentication (i.e. ignoring my key).

In GNU Emacs 23.0.91.1 (i486-pc-linux-gnu)
 of 2009-03-30 on elegiac, modified by Debian
 (emacs-snapshot package, version 1:20090329-1)
configured using `configure  '--build' 'i486-linux-gnu' '--host' 'i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/23.0.91/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.0.91/site-lisp:/usr/share/emacs/site-lisp' '--with-x=no' '--without-dbus' '--without-sound' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2' 'LDFLAGS=-g -Wl,--as-needed' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_AU.utf8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: rcirc

Minor modes in effect:
  rcirc-track-minor-mode: t
  savehist-mode: t
  shell-dirtrack-mode: t
  icomplete-mode: t
  partial-completion-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  use-hard-newlines: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-g C-g C-g C-x C-f C-f ESC O A C-g C-x C-f / s C-g 
ESC x r e p o r t SPC e m a c s SPC b u g RET

Recent messages:
Saving file /home/twb/.newsrc.eld...
Wrote /home/twb/.newsrc.eld
Saving /home/twb/.newsrc.eld...done
Loading tramp...done
Tramp: Opening connection for dhcp98 using ssh...
Tramp: Waiting 60s for local shell to come up...
Tramp: Sending command `ssh dhcp98   -q -e none && exit || exit'
Tramp: Waiting for prompts from remote shell
Tramp: Sending password
Quit [4 times]
Quit